Scilab Function
Last update : 16/06/2004

kernel - noyau

### Calling Sequence

  `W=kernel(A [,tol,[,flag])`

### Parameters

- `A` : matrice réelle ou complexe (pleine ou creuse)
- `flag` : chaîne de caractères
- `tol` : nombre réel
- `W` : matrice régulière

### Description

`W=kernel(A)` calcule le noyau de `A`. Les colonnes de `W` forment une base du noyau de `A`. Si A est régulière, alors W=[].

`flag` et `tol` sont des paramètres optionnels : `flag = 'qr'` or `'svd'` (`'svd'` par défaut).

`tol` = paramètre de tolérance (de l'ordre de `%eps` par défaut).

### Examples

    A=rand(3,1)*rand(1,3);
    A*kernel(A)
    A=sparse(A);
    clean(A*kernel(A))

### See Also

`colcomp`, `fullrf`, `fullrfk`, `linsolve`,

### Author

F.D.;